<?php  
	include("datos_sistema.php");
    if (isset($_GET['id_mensualidad']) && is_numeric($_GET['id_mensualidad'])) {
        $id = $_GET['id_mensualidad'];
        $sql_select_alumno = "SELECT id_alumno FROM mensualidades WHERE id_mensualidad = '$id'";
        $resultado_alumno = mysqli_query($con, $sql_select_alumno);
        $row_alumno = mysqli_fetch_assoc($resultado_alumno);
        $id_alumno = $row_alumno['id_alumno'];

        // Preparar la consulta para eliminar el registro
        $eliminar = "DELETE FROM mensualidades WHERE id_mensualidad = ?";
        $resultado = mysqli_prepare($con, $eliminar);
        // Vincular el parámetro
        mysqli_stmt_bind_param($resultado, "i", $id);
        // Ejecutar la consulta
        mysqli_stmt_execute($resultado);


        // Verifica si se afectaron filas
        if (mysqli_stmt_affected_rows($resultado) > 0) {
            //ACTUALIZA CANTIDAD DE MENSUALIDADES PAGADAS DEL ALUMNO.
            $sqlcountalumno = "SELECT * FROM mensualidades WHERE estado='Activo' AND id_alumno = '$id_alumno'";
            $querycountalumno = mysqli_query($con, $sqlcountalumno);
            //$countalumno = mysqli_num_rows($querycountalumno);

            $nuevo_numero = 1;
            // Reasignar los números de mensualidad de forma ascendente
            while ($row_mensualidad = mysqli_fetch_assoc($querycountalumno)) {
                $id_mensualidad = $row_mensualidad['id_mensualidad'];
                $sql_mensualidades = "UPDATE mensualidades 
                                  SET n_mensualidad = '$nuevo_numero'
                                  WHERE id_mensualidad = '$id_mensualidad'";
                $resultado_countmensualidad = mysqli_query($con, $sql_mensualidades) or die(mysqli_error($con));
                $nuevo_numero++;  // Incrementar el número para la siguiente mensualidad
            }
        
            // Actualizar el campo mensualidades_pagadas del alumno
            $countalumno = $nuevo_numero - 1;
            $sql_mensual_pagado = "UPDATE alumnos 
                                  SET mensualidades_pagadas = '$countalumno'
                                  WHERE id_alumno = '$id_alumno'";
            $resultado_mensualidades = mysqli_query($con, $sql_mensual_pagado) or die(mysqli_error($con));
            $succ="succ";
            header("Location:tabla_mensualidad.php?client=$succ");
        } else {
            $succ="err";
            header("Location:tabla_mensualidad.php?client=$succ");
        }
        // Cierra la declaración
        mysqli_stmt_close($resultado);
    }
    mysqli_close($con);
?>